"use strict";
exports.id = 546;
exports.ids = [546];
exports.modules = {

/***/ 92489:
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.AlertDialogDelete = void 0;
var jsx_runtime_1 = __webpack_require__(20997);
var react_1 = __webpack_require__(42678);
var react_2 = __importDefault(__webpack_require__(16689));
function AlertDialogDelete(_a) {
    var tokenName = _a.tokenName, isOpen = _a.isOpen, onClose = _a.onClose, deleteAllTokens = _a.deleteAllTokens, onDelete = _a.onDelete;
    var cancelRef = react_2.default.useRef(null);
    var dialogMessage = deleteAllTokens
        ? "Are you sure you want to delete all data? You can't undo this action."
        : "Are you sure you want to delete \"".concat(tokenName, "\"? You can't\n  undo this action.");
    return ((0, jsx_runtime_1.jsx)(react_1.AlertDialog, __assign({ isOpen: isOpen, leastDestructiveRef: cancelRef, onClose: onClose }, { children: (0, jsx_runtime_1.jsx)(react_1.AlertDialogOverlay, { children: (0, jsx_runtime_1.jsxs)(react_1.AlertDialogContent, { children: [(0, jsx_runtime_1.jsx)(react_1.AlertDialogHeader, __assign({ fontSize: "lg", fontWeight: "bold" }, { children: "Are you sure?" })), (0, jsx_runtime_1.jsx)(react_1.AlertDialogBody, { children: dialogMessage }), (0, jsx_runtime_1.jsxs)(react_1.AlertDialogFooter, { children: [(0, jsx_runtime_1.jsx)(react_1.Button, __assign({ ref: cancelRef, onClick: onClose }, { children: "Cancel" })), (0, jsx_runtime_1.jsx)(react_1.Button, __assign({ colorScheme: "red", onClick: onDelete, ml: 3 }, { children: "Delete" }))] })] }) }) })));
}
exports.AlertDialogDelete = AlertDialogDelete;


/***/ }),

/***/ 49918:
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createColorsSlice = void 0;
var createColorsSlice = function (set) { return ({
    colors: {},
    setColors: function (newState) { return set(function () { return ({ colors: newState }); }); },
}); };
exports.createColorsSlice = createColorsSlice;


/***/ }),

/***/ 75638:
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createFileTypesSlice = void 0;
var createFileTypesSlice = function (set) { return ({
    fileTypes: [],
    setFileTypes: function (newState) { return set(function () { return ({ fileTypes: newState }); }); },
}); };
exports.createFileTypesSlice = createFileTypesSlice;


/***/ }),

/***/ 29517:
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createShadowsSlice = void 0;
var createShadowsSlice = function (set) { return ({
    shadows: {},
    setShadows: function (newState) { return set(function () { return ({ shadows: newState }); }); },
}); };
exports.createShadowsSlice = createShadowsSlice;


/***/ }),

/***/ 73747:
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createTypographySlice = void 0;
var createTypographySlice = function (set) { return ({
    typography: { fontSizes: {}, fontWeights: {}, lineHeights: {} },
    setTypography: function (newState) { return set(function () { return ({ typography: newState }); }); },
}); };
exports.createTypographySlice = createTypographySlice;


/***/ }),

/***/ 17821:
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
var zustand_1 = __webpack_require__(54660);
var colorsSlice_1 = __webpack_require__(49918);
var fileTypesSlice_1 = __webpack_require__(75638);
var shadowsSlice_1 = __webpack_require__(29517);
var typographySlice_1 = __webpack_require__(73747);
var useMirrorfulStore = (0, zustand_1.create)()(function () {
    var state = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        state[_i] = arguments[_i];
    }
    return (__assign(__assign(__assign(__assign({}, colorsSlice_1.createColorsSlice.apply(void 0, state)), typographySlice_1.createTypographySlice.apply(void 0, state)), shadowsSlice_1.createShadowsSlice.apply(void 0, state)), fileTypesSlice_1.createFileTypesSlice.apply(void 0, state)));
});
exports["default"] = useMirrorfulStore;


/***/ }),

/***/ 69649:
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.Units = exports.assertToken = exports.assertTokenGroup = exports.defaultConfigV2 = exports.defaultTypographyV2 = exports.defaultShadowsV2 = exports.defaultLineHeightsV2 = exports.defaultFontWeightsV2 = exports.defaultFontSizesV2 = exports.defaultColorsV2 = exports.defaultFiles = void 0;
exports.defaultFiles = [
    'css',
    'scss',
    'js',
    'cjs',
    'ts',
    'json',
];
// NEXT GENERATION DATA MODEL
// Migrating to standardized reference: https://design-tokens.github.io/
// This is empty so that users can sent through onboarding
exports.defaultColorsV2 = {};
exports.defaultFontSizesV2 = {
    sm: {
        id: 'default-font-size-sm-id',
        value: '1rem',
        type: 'fontSize',
    },
    md: {
        id: 'default-font-size-md-id',
        value: '1.2rem',
        type: 'fontSize',
    },
    lg: {
        id: 'default-font-size-lg-id',
        value: '1.4rem',
        type: 'fontSize',
    },
};
exports.defaultFontWeightsV2 = {
    light: {
        id: 'default-font-weight-light-id',
        value: '200',
        type: 'fontWeight',
    },
    normal: {
        id: 'default-font-weight-normal-id',
        value: '400',
        type: 'fontWeight',
    },
    bold: {
        id: 'default-font-weight-bold-id',
        value: '700',
        type: 'fontWeight',
    },
};
exports.defaultLineHeightsV2 = {
    short: {
        id: 'default-line-height-short-id',
        value: '1',
        type: 'lineHeight',
    },
    normal: {
        id: 'default-line-height-normal-id',
        value: '1.5',
        type: 'lineHeight',
    },
    tall: {
        id: 'default-line-height-tall-id',
        value: '2',
        type: 'lineHeight',
    },
};
exports.defaultShadowsV2 = {
    sm: {
        id: 'default-shadow-sm-id',
        value: '0 1px 2px 0 rgba(0, 0, 0, 0.05)',
        type: 'boxShadow',
    },
    md: {
        id: 'default-shadow-md-id',
        value: '0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)',
        type: 'boxShadow',
    },
    lg: {
        id: 'default-shadow-lg-id',
        value: '0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)',
        type: 'boxShadow',
    },
    'dark-lg': {
        id: 'default-shadow-dark-lg-id',
        value: '0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)',
        type: 'boxShadow',
    },
};
exports.defaultTypographyV2 = {
    fontSizes: exports.defaultFontSizesV2,
    fontWeights: exports.defaultFontWeightsV2,
    lineHeights: exports.defaultLineHeightsV2,
};
exports.defaultConfigV2 = {
    primitives: {
        colors: exports.defaultColorsV2,
        typography: exports.defaultTypographyV2,
        shadows: exports.defaultShadowsV2,
    },
    themes: [],
    files: exports.defaultFiles,
};
var assertTokenGroup = function (token) {
    return typeof token.id !== 'string';
};
exports.assertTokenGroup = assertTokenGroup;
var assertToken = function (token) {
    return typeof token.id === 'string';
};
exports.assertToken = assertToken;
exports.Units = ['px', 'rem', 'em', '%', 'number'];


/***/ }),

/***/ 98539:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Y": () => (/* binding */ postStoreData)
/* harmony export */ });
async function postStoreData(data) {
    await fetch("/api/export", {
        method: "POST",
        body: JSON.stringify(data)
    });
}


/***/ })

};
;